name: Table
icon: menu
preview: table
fields:
  tableheading:
    type: writer
    label: Headline
  showheader:
    label: Show table header?
    type: toggle
    #translate: false
    help: You can add headings to the columns in your table
    text:
      - "Off"
      - "On"
  leftheader:
    label: Left column header
    type: text
    width: 1/2
    when:
      showheader: true
  rightheader:
    label: Right column header
    type: text
    width: 1/2
    when:
      showheader: true
  striped:
    label: Striped?
    type: toggle
    #translate: false
    help: Show striped rows
    text:
      - "Off"
      - "On"

  rows:
    type: structure
    columns:
      topic:
        width: 1/2
      description:
        width: 1/2

    fields:
      topic:
        type: writer
        label: Label
      description:
        type: writer
        label: Description
